# Asterisk Project : Asterisk 13 ManagerAction_Getvar

Created by wikibot on Aug 08, 2014

# Getvar

### Synopsis

Gets a channel variable or function value.

### Description

Get the value of a channel variable or function return.

Note

Icon

If a channel name is not provided then the variable is considered global.

### Syntax

    Action: Getvar
    ActionID: <value>
    Channel: <value>
    Variable: <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.
- `Channel` - Channel to read variable from.
- `Variable` - Variable name, function or expression.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538